// Mozdev Toolbar Install Script
// Mozdev Toolbar 0.1 - flat install version
// Brian King, July 18 2002

const kappName = "Mozdev Toolbar";
const kappChromeName = "mozdevbar";
const kcontentPath = "content/";
const kskinPath = "skin/";
const klocalePath = "locale/en-US/";
const ksuccessMessage = "The Mozdev Toolbar has installed successfully. Restart Mozilla to continue.";

var err = initInstall(kappName, kappChromeName, ""); 

addDirectory("", kappChromeName,  getFolder("Chrome", kappChromeName), "");

registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome",kappChromeName), kcontentPath);
registerChrome(SKIN | DELAYED_CHROME, getFolder("Chrome",kappChromeName), kskinPath);
registerChrome(LOCALE | DELAYED_CHROME, getFolder("Chrome",kappChromeName), klocalePath);

if (err==SUCCESS){
  performInstall();
  alert(ksuccessMessage);
} else {
  cancelInstall(err);
}
